> ## Documentation Index
> Fetch the complete documentation index at: https://docs.millis.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Phone Tags

> Update all tags for a phone number (replaces existing tags)



## OpenAPI

````yaml put /phones/{phone}/tags
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api-west.millis.ai
    description: US Region API Gateway
  - url: https://api-eu-west.millis.ai
    description: EU Region API Gateway
security: []
paths:
  /phones/{phone}/tags:
    put:
      tags:
        - Phones
      summary: Update Phone Tags
      description: Update all tags for a phone number (replaces existing tags)
      operationId: update_phone_tags_phones__phone__tags_put
      parameters:
        - name: phone
          in: path
          required: true
          schema:
            type: string
            title: Phone
        - name: authorization
          in: header
          required: true
          schema:
            type: string
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTagsRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdateTagsRequest:
      properties:
        tags:
          items:
            type: string
          type: array
          title: Tags
      type: object
      required:
        - tags
      title: UpdateTagsRequest
    GenericResponse:
      properties:
        success:
          type: boolean
          title: Success
      type: object
      required:
        - success
      title: GenericResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````